Loading...
Searching...
No Matches
gx_system::StateFile Class Reference

`#include <gx_json.h>`

## Public Member Functions

| StateFile ()
| ~StateFile ()
void | set_filename (const string &fn)
const SettingsFileHeader & | get_header () const
string | get_filename () const
JsonParser * | create_reader ()
JsonWriter * | create_writer (bool *preserve_preset)
void | ensure_is_current ()

## Private Member Functions

void | open ()

## Private Attributes

string | filename
istream * | is
time_t | mtime
SettingsFileHeader | header

## Detailed Description

Definition at line 255 of file gx_json.h.

## Constructor & Destructor Documentation

## StateFile()

gx_system::StateFile::StateFile | ( |  | ) |

inline

Definition at line 263 of file gx_json.h.

## ~StateFile()

gx_system::StateFile::~StateFile | ( |  | ) |

inline

Definition at line 265 of file gx_json.h.

## Member Function Documentation

## create_reader()

JsonParser * gx_system::StateFile::create_reader | ( |  | ) |

## create_writer()

JsonWriter * gx_system::StateFile::create_writer | ( | bool * | preserve_preset | ) |

## ensure_is_current()

void gx_system::StateFile::ensure_is_current | ( |  | ) |

## get_filename()

string gx_system::StateFile::get_filename | ( |  | ) | const

inline

Definition at line 268 of file gx_json.h.

## get_header()

const SettingsFileHeader & gx_system::StateFile::get_header | ( |  | ) | const

inline

Definition at line 267 of file gx_json.h.

## open()

void gx_system::StateFile::open | ( |  | ) |

private

## set_filename()

void gx_system::StateFile::set_filename | ( | const string & | fn | ) |

## Member Data Documentation

## filename

string gx_system::StateFile::filename

private

Definition at line 257 of file gx_json.h.

Referenced by get_filename(), and StateFile().

## header

SettingsFileHeader gx_system::StateFile::header

private

Definition at line 260 of file gx_json.h.

Referenced by get_header(), and StateFile().

## is

istream* gx_system::StateFile::is

private

Definition at line 258 of file gx_json.h.

Referenced by StateFile(), and ~StateFile().

## mtime

time_t gx_system::StateFile::mtime

private

Definition at line 259 of file gx_json.h.

Referenced by StateFile().

The documentation for this class was generated from the following file:

- src/headers/gx_json.h